package com.jeeplus.modules.sg.financial.settlement.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 财务项目费用检查实体类
 * @author user3
 * @date 2020-11-25
 * */
public class DonorMaterial extends DataEntity<DonorMaterial> {
    /**
     * 项目编码
     * */
    private String projectId;
    /**
     * 项目名称
     * */
    private String projectName;
    /**
     * 物料类别
     * */
    private String materialType;
    /**
     * 物料编码
     * */
    private String materialCode;
    /**
     * 材料名称
     * */
    private String materialName;
    /**
     * 物料描述
     * */
    private String materialDescribe;
    /**
     * 单位
     * */
    private String unit;
    /**
     * 审定数量
     * */
    private Double examinedNum;
    /**
     * erp数量
     * */
    private Double erpNum;
    /**
     * 差额
     */
    private Double erpDifferent;
    /**
     * 查询用id集合
     * */
    private String[] projectIds;

    @ExcelField(title="项目编号", align=2, sort=2)
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @ExcelField(title="项目名称", align=2, sort=1)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="物料类别", align=2, sort=3)
    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    @ExcelField(title="物料编码", align=2, sort=4)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title="材料名称", align=2, sort=5)
    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    @ExcelField(title="物料描述", align=2, sort=6)
    public String getMaterialDescribe() {
        return materialDescribe;
    }

    public void setMaterialDescribe(String materialDescribe) {
        this.materialDescribe = materialDescribe;
    }

    @ExcelField(title="单位", align=2, sort=7)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @ExcelField(title="审定数量", align=2, sort=8)
    public Double getExaminedNum() {
        return examinedNum;
    }

    public void setExaminedNum(Double examinedNum) {
        this.examinedNum = examinedNum;
    }

    @ExcelField(title="ERP数量", align=2, sort=9)
    public Double getErpNum() {
        return erpNum;
    }

    public void setErpNum(Double erpNum) {
        this.erpNum = erpNum;
    }

    @ExcelField(title="差额", align=2, sort=10)
    public Double getErpDifferent() {
        return erpDifferent;
    }

    public void setErpDifferent(Double erpDifferent) {
        this.erpDifferent = erpDifferent;
    }

    public String[] getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(String[] projectIds) {
        this.projectIds = projectIds;
    }

    @Override
    @ExcelField(title="备注", align=2, sort=11)
    public String getRemarks() {
        return super.getRemarks();
    }
}
